<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: Chapter 2: Understanding image data object</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="CH02_IMAGE">Chapter 2: Understanding image data object </a></h1><p>In OpenVX, image data object is the most commonly used data object. In this tutorial chapter, we understand how to manipulate image data objects.</p>
<table border="1" cellspacing="3" cellpadding="3">
<tr bgcolor="lightgrey">
<th><p>Tutorial file  </p>
</th><th><p>Purpose   </p>
</th></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__image__load__save_8c.html">ch02_image/vx_tutorial_image_load_save.c</a>  </p>
</td><td><p>Load and save images   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__image__query_8c.html">ch02_image/vx_tutorial_image_query.c</a>  </p>
</td><td><p>Query image objects and print image attributes   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__image__crop__roi_8c.html">ch02_image/vx_tutorial_image_crop_roi.c</a>  </p>
</td><td><p>Advanced image create APIs   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__image__extract__channel_8c.html">ch02_image/vx_tutorial_image_extract_channel.c</a>  </p>
</td><td><p>Image manipulation using VXU APIs   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__image__color__convert_8c.html">ch02_image/vx_tutorial_image_color_convert.c</a>  </p>
</td><td><p>Image manipulation using graph and VX node APIs   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__image__histogram_8c.html">ch02_image/vx_tutorial_image_histogram.c</a>  </p>
</td><td><p>Image manipulation using graph and generic node create APIs   </p>
</td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
